;; Programa: Configuración del juego PlanTron para Colonias
;;
;; Asignatura: Introducción a la Inteligencia Artificial
;;             ETSII - ULL
;; Práctica: (sistemas de producción)
;; Profesor: Patricio García (patricio AT etsii.ull.es)
;; Fecha:    24/03/2012
;; Comentarios:
;;           Establece las varaibles de pt.lisp necesarias
;;           para configurar al PlanTron en el juego Colonias:
;;           | Agentes    | Mov Cont | Rastro |
;;           |------------+----------+--------|
;;           | Herbivoro  | No       | No     |
;;           | Depredador | Sí       | No     |
;;           | Plantas    | -        | -      |
;;           |------------+----------+--------|
;;
;;
;; Modificaciones:
;;
;;           - Ver 0.1 (24/03/2012): Primera versión.
;;
;;           - Ver 0.2 (03/04/2012): Sustitución de :prb-mov por
;;             :prb-mov-cero y prb-mov-eini para permitir cambios
;;             de velocidad según energía.
;;

(in-package "PT")

(setf version-conf "colonias-0.2")


;; Inicializamos variables de acuerdo a juego deseado

(setf pt-base:*juego* "PlanTron Colonias")
(setf pt-base:*ratio-ene-jug-ini* 0.5)
(setf pt-base:*mov-con* nil)
(setf pt-base:*tam-col* nil)
(setf pt-base:*pos-alea* nil)
(setf pt-base:*for-cab* 3)
(setf pt-base:*for-col* 1)
(setf pt-base:*prb-mov-cero* 0.0)
(setf pt-base:*prb-mov-eini* 1.0)
(setf pt:*rep* 6)

(setf *lis-nom-agentes-def* '("HUMANO"))
(setf *gen-pla* 1)
; dpdd-minmax
(setf *gen-dir* 1)
;
; Generación lista de resultados
;(setf res-ord #'>)
;(setf res-val #'(lambda (res) (/ (+ (second res) (third res)) (fourth res))))

; (setf fich-genplc "pt-agentes-genplc")
; (setf fich-genplc "pt-agentes-gendir")

